> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/storelayoutclusters/list#auth).

Retrieves the details of all clusters on the specified page.

## Request

### HTTP request

```
GET https://www.googleapis.com/androidenterprise/v1/enterprises/enterpriseId/storeLayout/pages/pageId/clusters
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `enterpriseId` | `string` | The ID of the enterprise. |
| `pageId` | `string` | The ID of the page. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "androidenterprise#storeLayoutClustersListResponse",
  "cluster": [
    storelayoutclusters Resource
  ]
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `cluster[]` | `list` | A store cluster of an enterprise. |   |
| `kind` | `string` | Identifies what kind of resource this is. Value: the fixed string `"androidenterprise#storeLayoutClustersListResponse"`. |   |